=== debian/changelog ===
fcitx5-qt (0.0~git20200118.2e38c95-1build3) focal; urgency=medium

  * No-change rebuild.

 -- Rik Mills <rikmills@kde.org>  Mon, 13 Apr 2020 13:05:02 +0100

fcitx5-qt (0.0~git20200118.2e38c95-1build2) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 19:57:15 +0100

fcitx5-qt (0.0~git20200118.2e38c95-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:13:53 +0100

fcitx5-qt (0.0~git20200118.2e38c95-1) unstable; urgency=high

  * New upstream snapshot.
  * Source-only rebuild to allow testing migration.
  * debian/copyright: Update information according to upstream
    changes.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2020 15:01:19 -0500

fcitx5-qt (0.0~git20191111.000427e-1) unstable; urgency=medium

  * Initial release. (Closes: #945503)

 -- Boyuan Yang <byang@debian.org>  Mon, 25 Nov 2019 19:24:36 -0500
