=== debian/control ===
Source: fcitx5-qt
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.6.0),
 debhelper-compat (= 12),
 extra-cmake-modules,
 gettext,
 libfcitx5utils-dev,
 libqt5x11extras5-dev,
 libxcb1-dev,
 libxkbcommon-dev,
 qtbase5-dev,
 qtbase5-private-dev,
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-qt
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-qt.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-qt

Package: fcitx5-frontend-qt5
Architecture: linux-any
Section: libs
Multi-Arch: same
Depends:
 libfcitx5-qt1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: IM module for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the Qt5 IM Module for fcitx5.

Package: libfcitx5-qt-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends:
 libfcitx5-qt1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt library and IM module for fcitx5 (development files)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the development files for fcitx5-qt.

Package: libfcitx5-qt1
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends:
 libfcitx5-qt-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt library and IM module for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the Qt5 support for fcitx5.

Package: libfcitx5-qt-data
Architecture: all
Multi-Arch: foreign
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt library and IM module for fcitx5 (data files)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the shared data files for fcitx5-qt.
