## fcitx5-qt 0.0~git20200821.73bfd76

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,15 +12,23 @@
 option(ENABLE_QT4 "Enable Qt 4" On)
 option(ENABLE_QT5 "Enable Qt 5" On)
 option(BUILD_ONLY_PLUGIN "Build only plugin" Off)
+option(BUILD_STATIC_PLUGIN "Build plugin as static" Off)
+option(WITH_FCITX_PLUGIN_NAME "Enable plugin name with fcitx" On)
 
 if (BUILD_ONLY_PLUGIN)
   set(LIBRARY_TYPE STATIC)
-  set(LIBRARY_COMPILE_FLAGS "-fvisibility=hidden -fPIC")
+  set(LIBRARY_COMPILE_FLAGS "-fPIC")
 else()
   set(LIBRARY_TYPE SHARED)
-  set(LIBRARY_COMPILE_FLAGS "-fvisibility=hidden")
   add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-qt\")
 endif()
+
+if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
+  set(PLUGIN_LIBRARY_TYPE STATIC)
+else()
+  set(PLUGIN_LIBRARY_TYPE MODULE)
+endif()
+
 add_definitions(-DFCITX5_QT_VERSION=\"${FCITX5_QT_VERSION}\")
 
 include(GNUInstallDirs)
@@ -32,7 +40,9 @@
 
 find_package(XCB REQUIRED COMPONENTS XCB)
 find_package(XKBCommon 0.5.0 REQUIRED COMPONENTS XKBCommon)
+if (NOT BUILD_ONLY_PLUGIN)
 find_package(Fcitx5Utils REQUIRED)
+endif()
 find_package(X11 REQUIRED)
 
 add_library(X11Import UNKNOWN IMPORTED)
@@ -40,10 +50,15 @@
     IMPORTED_LOCATION "${X11_X11_LIB}"
     INTERFACE_INCLUDE_DIRECTORIES "${X11_X11_INCLUDE_PATH}")
 
+if (BUILD_ONLY_PLUGIN)
+# Dup a little bit option here.
+include(CompilerSettings)
+else()
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
+endif()
 
-set(Fcitx5Qt5_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR}/Fcitx5Qt5)
-set(Fcitx5Qt4_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR}/Fcitx5Qt4)
+set(Fcitx5Qt5_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt5)
+set(Fcitx5Qt4_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt4)
 
 if(ENABLE_QT4)
   find_package(Qt4 ${REQUIRED_QT4_VERSION} REQUIRED)
@@ -51,7 +66,7 @@
 endif()
 
 if(ENABLE_QT5)
-  find_package(Qt5 ${REQUIRED_QT5_VERSION} CONFIG REQUIRED Core DBus Widgets X11Extras)
+  find_package(Qt5 ${REQUIRED_QT5_VERSION} CONFIG REQUIRED Core DBus Widgets)
   find_package(Qt5Gui ${REQUIRED_QT5_VERSION} REQUIRED Private)
   add_subdirectory(qt5)
 endif()
@@ -61,4 +76,7 @@
 add_subdirectory(po)
 endif()
 
+enable_testing()
+add_subdirectory(test)
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
