=== qt5/platforminputcontext/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,11 @@
 include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
 
+set(FCITX5_QT_EXTRA_PLUGIN_NAME "")
+if (WITH_FCITX_PLUGIN_NAME)
+    set(FCITX5_QT_EXTRA_PLUGIN_NAME "\"fcitx\",")
+endif()
+
+configure_file("${CMAKE_CURRENT_SOURCE_DIR}/fcitx5.json.in" "${CMAKE_CURRENT_BINARY_DIR}/fcitx5.json")
 
 set(plugin_SRCS
     qfcitxplatforminputcontext.cpp
@@ -12,18 +18,27 @@
     main.h
 )
 
-add_library(fcitx5platforminputcontextplugin MODULE ${plugin_SRCS})
+add_library(fcitx5platforminputcontextplugin ${PLUGIN_LIBRARY_TYPE} ${plugin_SRCS})
 set_target_properties(fcitx5platforminputcontextplugin PROPERTIES
                          AUTOMOC TRUE
                          COMPILE_FLAGS "-fvisibility=hidden"
                         )
+target_include_directories(fcitx5platforminputcontextplugin PRIVATE "${PROJECT_SOURCE_DIR}/common")
+if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
+target_compile_definitions(fcitx5platforminputcontextplugin PRIVATE "-DQT_STATICPLUGIN")
+endif()
+
+target_compile_definitions(fcitx5platforminputcontextplugin PRIVATE "-DFCITX_PLUGIN_DATA_FILE_PATH=\"${CMAKE_CURRENT_BINARY_DIR}/fcitx5.json\"")
+if (WITH_FCITX_PLUGIN_NAME)
+    # This is not really necessary, but can trigger a cmake rebuild.
+    target_compile_definitions(fcitx5platforminputcontextplugin PRIVATE "-DFCITX5_QT_WITH_FCITX_NAME")
+endif()
+
 
 target_link_libraries(fcitx5platforminputcontextplugin
-                          Fcitx5::Utils
                           Qt5::Core
                           Qt5::Gui
                           Qt5::DBus
-                          Qt5::X11Extras
                           XCB::XCB
                           Fcitx5Qt5::DBusAddons
                           XKBCommon::XKBCommon
