=== debian/control ===
--- 
+++ 
@@ -6,23 +6,22 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake (>= 3.6.0),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5utils-dev,
- libqt5x11extras5-dev,
+ libfcitx5utils-dev (>= 0.0~git20200626),
  libxcb1-dev,
  libxkbcommon-dev,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-qt
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-qt.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-qt
 
 Package: fcitx5-frontend-qt5
-Architecture: linux-any
+Architecture: any
 Section: libs
 Multi-Arch: same
 Depends:
@@ -44,7 +43,7 @@
  This package provides the Qt5 IM Module for fcitx5.
 
 Package: libfcitx5-qt-dev
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends:
@@ -66,7 +65,7 @@
  This package provides the development files for fcitx5-qt.
 
 Package: libfcitx5-qt1
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Section: libs
 Depends:
