## fcitx5-qt 5.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
 cmake_minimum_required(VERSION 3.6.0)
-set(FCITX5_QT_VERSION 0.0.1)
-project(fcitx5-qt VERSION 0.0.1)
+project(fcitx5-qt VERSION 5.0.3)
+set(FCITX5_QT_VERSION ${PROJECT_VERSION})
 
 set(REQUIRED_QT4_VERSION 4.8.0)
 set(REQUIRED_QT5_VERSION 5.1.0)
+set(REQUIRED_QT6_VERSION 6.0.0)
 
 find_package(ECM 1.4.0 REQUIRED)
 
@@ -11,6 +12,7 @@
 
 option(ENABLE_QT4 "Enable Qt 4" On)
 option(ENABLE_QT5 "Enable Qt 5" On)
+option(ENABLE_QT6 "Enable Qt 6" Off)
 option(BUILD_ONLY_PLUGIN "Build only plugin" Off)
 option(BUILD_STATIC_PLUGIN "Build plugin as static" Off)
 option(WITH_FCITX_PLUGIN_NAME "Enable plugin name with fcitx" On)
@@ -29,7 +31,7 @@
   set(PLUGIN_LIBRARY_TYPE MODULE)
 endif()
 
-add_definitions(-DFCITX5_QT_VERSION=\"${FCITX5_QT_VERSION}\")
+add_definitions(-DFCITX5_QT_VERSION=\"${FCITX5_QT_VERSION}\" -DQT_NO_KEYWORDS)
 
 include(GNUInstallDirs)
 include(FeatureSummary)
@@ -57,6 +59,7 @@
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
 endif()
 
+set(Fcitx5Qt6_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt6)
 set(Fcitx5Qt5_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt5)
 set(Fcitx5Qt4_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt4)
 
@@ -71,6 +74,12 @@
   add_subdirectory(qt5)
 endif()
 
+if(ENABLE_QT6)
+  find_package(Qt6 ${REQUIRED_QT6_VERSION} CONFIG REQUIRED Core DBus)
+  find_package(Qt6Gui ${REQUIRED_QT6_VERSION} REQUIRED Private)
+  add_subdirectory(qt6)
+endif()
+
 if(NOT BUILD_ONLY_PLUGIN)
 find_package(Gettext REQUIRED)
 add_subdirectory(po)
