=== qt4/CMakeLists.txt ===
add_subdirectory(dbusaddons)
add_subdirectory(inputcontext)
