=== debian/changelog ===
fcitx5-qt (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Feb 2021 15:19:07 +0800

fcitx5-qt (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Standards-Version to 4.5.1 (no changes)
  * fcitx5-qt5-gui-wrapper path is moved.
  * fcitx5-frontend-qt5 is no longer Multi-Arch: same

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 16 Jan 2021 01:51:46 +0800

fcitx5-qt (5.0.1-2) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Dec 2020 18:52:02 +0800

fcitx5-qt (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump libfcitx5utils-dev to 5.0.1

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 07 Nov 2020 00:15:34 +0800

fcitx5-qt (0.0~git20201029.97ea203-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot
  * Bump libfcitx5utils-dev to 0.0~git20201030

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 31 Oct 2020 23:04:24 +0800
