=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5utils-dev (>= 0.0~git20200626),
+ libfcitx5utils-dev (>= 5.0.1),
  libxcb1-dev,
  libxkbcommon-dev,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-qt
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-qt.git
@@ -23,7 +23,6 @@
 Package: fcitx5-frontend-qt5
 Architecture: any
 Section: libs
-Multi-Arch: same
 Depends:
  libfcitx5-qt1 (= ${binary:Version}),
  ${misc:Depends},
@@ -41,6 +40,27 @@
  and desktop environments.
  .
  This package provides the Qt5 IM Module for fcitx5.
+
+Package: libfcitx5-qt-data
+Architecture: all
+Multi-Arch: foreign
+Section: libs
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Qt library and IM module for fcitx5 (data files)
+ Fcitx5 is the next generation of fcitx input method framework. It
+ provides plasant and modern input experience with intuitive graphical
+ configuration tools. The framework is highly extensible with support
+ for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
+ environments and a developer-friendly API.
+ .
+ Some of its new features include support of both Wayland and Xorg
+ and the ability to mimic IBus Input Method Framework in order to
+ provide better compatibility across different Linux distributions
+ and desktop environments.
+ .
+ This package provides the shared data files for fcitx5-qt.
 
 Package: libfcitx5-qt-dev
 Architecture: any
@@ -85,24 +105,3 @@
  and desktop environments.
  .
  This package provides the Qt5 support for fcitx5.
-
-Package: libfcitx5-qt-data
-Architecture: all
-Multi-Arch: foreign
-Section: libs
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Description: Qt library and IM module for fcitx5 (data files)
- Fcitx5 is the next generation of fcitx input method framework. It
- provides plasant and modern input experience with intuitive graphical
- configuration tools. The framework is highly extensible with support
- for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
- environments and a developer-friendly API.
- .
- Some of its new features include support of both Wayland and Xorg
- and the ability to mimic IBus Input Method Framework in order to
- provide better compatibility across different Linux distributions
- and desktop environments.
- .
- This package provides the shared data files for fcitx5-qt.
