## fcitx5-qt 5.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.6.0)
-project(fcitx5-qt VERSION 5.0.3)
+cmake_minimum_required(VERSION 3.16)
+project(fcitx5-qt VERSION 5.0.10)
 set(FCITX5_QT_VERSION ${PROJECT_VERSION})
 
 set(REQUIRED_QT4_VERSION 4.8.0)
