=== qt6/CMakeLists.txt ===
add_subdirectory(dbusaddons)
add_subdirectory(platforminputcontext)
