=== qt5/guiwrapper/CMakeLists.txt ===
--- 
+++ 
@@ -18,4 +18,4 @@
       Fcitx5Qt5::WidgetsAddons
 )
 
-install(TARGETS fcitx5-qt5-gui-wrapper DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5/libexec")
+install(TARGETS fcitx5-qt5-gui-wrapper DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}")
