=== debian/changelog ===
fcitx5-qt (5.0.10-1build1) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 17 Mar 2022 16:09:30 +0300

fcitx5-qt (5.0.10-1) unstable; urgency=medium

  * New upstream release 5.0.10.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Feb 2022 10:58:08 -0500

fcitx5-qt (5.0.9-1) unstable; urgency=medium

  * New upstream release 5.0.9.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Jan 2022 00:38:30 -0500

fcitx5-qt (5.0.8-1) unstable; urgency=medium

  * New upstream release 5.0.8.
  * debian/control: Tighten build dependency: fcitx5 5.0.11+.

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Dec 2021 14:54:39 -0500

fcitx5-qt (5.0.7-3) unstable; urgency=medium

  * Rebuild against fcitx5 5.10.
  * debian/rules: Drop manual specification of CMAKE_INSTALL_LIBEXECDIR,
    no longer needed.

 -- Boyuan Yang <byang@debian.org>  Tue, 23 Nov 2021 16:25:07 -0500

fcitx5-qt (5.0.7-2) unstable; urgency=medium

  * Team upload.
  * Set CMAKE_INSTALL_LIBEXECDIR to /usr/libexec.
    Retain the old behavior of cmake (< 3.19) (Closes: #995880)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 08 Oct 2021 01:31:55 +0800

fcitx5-qt (5.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix typo in package description
  * Fix fcitx5-qt5-gui-wrapper path

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Oct 2021 02:55:17 +0800

fcitx5-qt (5.0.6-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 25 Aug 2021 03:07:39 +0800

fcitx5-qt (5.0.6-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 19 May 2021 03:30:49 +0800
