=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,5 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DENABLE_QT4=0
+	dh_auto_configure -- \
+	        -DENABLE_QT4=0
